org.eclipse.ease.ui.console

## Class ScriptConsolePageParticipant

- java.lang.Object
- - org.eclipse.ease.ui.console.ScriptConsolePageParticipant

All Implemented Interfaces:
  IAdaptable, IDebugContextListener, IConsolePageParticipant, IShowInSource, IShowInTargetList

    public class ScriptConsolePageParticipant
    extends Object
    implements IConsolePageParticipant, IShowInSource, IShowInTargetList, IDebugContextListener

Creates and manages JavaScript console specific actions

### Constructor Summary

Constructors
Constructor and Description
`ScriptConsolePageParticipant()`

### Method Summary

Methods
`void` `activated()`
`void` `deactivated()`
`void` `debugContextChanged(DebugContextEvent event)`
`void` `dispose()`
`void` `engineChanged()`
`Object` `getAdapter(Class required)`
`ShowInContext` `getShowInContext()`
`String[]` `getShowInTargetIds()`
`void` `init(IPageBookViewPage page, IConsole console)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptConsolePageParticipant

    public ScriptConsolePageParticipant()

### Method Detail

#### init

    public void init(IPageBookViewPage page,
            IConsole console)

Specified by:
  `init` in interface `IConsolePageParticipant`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IConsolePageParticipant`

#### getAdapter

    public Object getAdapter(Class required)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### getShowInContext

    public ShowInContext getShowInContext()

Specified by:
  `getShowInContext` in interface `IShowInSource`

#### getShowInTargetIds

    public String[] getShowInTargetIds()

Specified by:
  `getShowInTargetIds` in interface `IShowInTargetList`

#### activated

    public void activated()

Specified by:
  `activated` in interface `IConsolePageParticipant`

#### deactivated

    public void deactivated()

Specified by:
  `deactivated` in interface `IConsolePageParticipant`

#### debugContextChanged

    public void debugContextChanged(DebugContextEvent event)

Specified by:
  `debugContextChanged` in interface `IDebugContextListener`

#### engineChanged

    public void engineChanged()